LSCLOCKS(1)

NAZWA
lsclocks - wyświetla zegary systemowe

SKŁADNIA

lsclocks [opcja]

OPIS

lsclocks jest prostym poleceniem wyświetlającym zegary systemowe.

Umożliwia wyświetlanie informacji takich jak bieżący czas i rozdzielczość zegarów m.in. CLOCK_MONOTONIC, CLOCK_REALTIME i CLOCK_BOOTTIME.

OPCJE

-J, --json
    Używa formatu wyjściowego JSON.

-n, --noheadings
    Nie wyświetla nagłówków.

-o, --output lista
    Określa kolumnę wyjściową do wyświetlenia. W rozdziale KOLUMNY WYJŚCIOWE opisano szczegółowo dostępne kolumny.

--output-all
    Wyświetla wszystkie kolumny.

-r, --raw
    Używa surowego formatu wyjściowego

-r, --time zegar
    Pokazuje czas bieżący podanego zegara.

--no-discover-dynamic
    Nie stara się znaleźć zegarów dynamicznych.

-d, --dynamic-clock ścieżka
    Wyświetla również podany zegar dynamiczny. Opcji można użyć wielokrotnie.

--no-discover-rtc
    Nie stara się znaleźć zegarów czasu rzeczywistego (RTC)

-x, --rtc ściezka
    Wyświetla również podany zegar czasu rzeczywistego (RTC). Opcji można użyć wielokrotnie.

-c, --cpu-clock pid
    Wyświetla również podany zegar czasu procesora podanego procesu. Opcji można użyć wielokrotnie.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

KOLUMNY WYJŚCIOWE

Każda kolumna posiada typ. Typy są ograniczone znakami < i >.

TYPE <łańcuch>
    Typ zegara.

ID <numer>
    Numeryczny identyfikator zegara.

CLOCK <łańcuch>
    Nazwa w postaci CLOCK_

NAME <łańcuch>
    Krótsza, czytelniejsza nazwa.

TIME <liczba>
    Bieżący znacznik czasu zegara zwracany przez clock_gettime().

ISO_TIME <łańcuch>
    Wersja TIME sformatowana według ISO8601.

RESOL_RAW <liczba>
    Rozdzielczość zegara zwracana przez clock_getres(2).

RESOL <liczba>
    Czytelna dla człowieka wersja RESOL_RAW.

REL_TIME <łańcuch>
    czas TIME sformatowany jako zakres czasu.

NS_OFFSET <liczba>
    Przesunięcie bieżącej przestrzeni nazw wobec macierzystej przestrzeni nazw, odczytane z /proc/self/timens_offsets.

AUTORZY

ZOBACZ TAKŻE

clock_getres(2) clock_gettime(2)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie lsclocks jest częścią pakietu util-linux, który można pobrać ze strony